#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> A) {
	int n=A.size();
//	vector<int>ans;
//	for(int i=0; i<n; i++){
//		ans.push_back(i);
//	}
	set<int>s;
	vector<int>fi,se;
	for(int i=0; i<n; i++){
		//cin>>v[i];
		if(s.find(A[i])==s.end()){
				fi.push_back(i);
				s.insert(A[i]);
			}
			else se.push_back(i);
			
		}
	vector<int>ans=fi;
	for(int i=0; i<se.size(); i++){
		ans.push_back(se[i]);
	}
	
    return {ans};
}